#
# spec file for package recordmydesktop
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           recordmydesktop
Version:        0.3.8.1
Release:        13.3
Summary:        Desktop Recorder
License:        GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://recordmydesktop.sourceforge.net
Source:         %{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE add x11 includes (>= 11.3 only)
Patch0:         recordmydesktop-x11-includes.patch
# PATCH-FIX-OPENSUSE add gcc includes
Patch1:         recordmydesktop-gcc-includes.patch
# PATCH-FIX-UPSTREAM recordmydesktop-sane-theora-defaults.patch rh#525155 dimstar@opensuse.org -- Use sane default values for Theora encoder
Patch2:         recordmydesktop-sane-theora-defaults.patch
BuildRequires:  alsa-devel
BuildRequires:  jack-devel
BuildRequires:  libogg-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
recordMyDesktop is a program that captures audio and video data from a Linux
desktop session, producing an Ogg-encapsulated Theora-Vorbis file. The main
goal is to be as unobstrusive as possible by proccessing only regions of the
screen that have changed.

%prep
%setup -q
%if 0%{?suse_version} >= 1130
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1

%build
%configure --enable-jack=yes
make %{?_smp_mflags}

%install
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/recordmydesktop
%doc %{_mandir}/man1/recordmydesktop.1*

%changelog
* Sat Oct  4 2014 dimstar@opensuse.org
- Add recordmydesktop-sane-theora-defaults.patch: use some saner
  Theora default values. Older Theora encoders simply ignored
  insane settings. The original defaults were 'Limit to 45kbit/s
  at highest quality (63)'. The new default is to set the highest
  quality, without bitrate limit (boo#780609).
* Wed Oct  1 2014 crrodriguez@opensuse.org
- Clean up BuildRequires in line with what configure checks for and
  convert to pkgconfig where possible:
  + Drop xorg-x11-devel (metapackage), xorg-x11-libICE-devel,
    xorg-x11-libSM-devel and xorg-x11-libxext-devel.
  + Add pkgconfig() BuildRequires: ice, sm, x11, xdamage, xext and
    xfixes.
* Fri Apr  6 2012 vuntz@opensuse.org
- Replace License tag with spdx identifier (GPL-2.0).
* Mon Feb 14 2011 vuntz@opensuse.org
- Remove unneeded BuildRequires: autoconf, automake, gcc, gettext,
  gettext-devel, glibc-devel, intltool, jack, libtool, make.
- Add xorg-x11-libXext-devel BuildRequires.
* Fri Jan  7 2011 malcolmlewis@opensuse.org
- Add missing .changes.
- Spec file tidy up.
- Split out includes patch to build on < 11.3.
* Thu Oct  1 2009 pascal.bleser@opensuse.org
- update to 0.3.8.1
* Mon Nov 24 2008 guru@unixtech.be
- update to 0.3.8:
  * code has been refactored and cleaned up extensively to ease maintenance and bugfixes
  * fixed a cursor-flickering bug
  * fixed color-space conversion
  * improved detection of compositing window managers
  * libjack is now linked normally during compilation instead of being dlopened later
* Wed Mar 19 2008 guru@unixtech.be
- new upstream version
* Tue Dec 18 2007 guru@unixtech.be
- new upstream version
* Sun Sep  9 2007 guru@unixtech.be
- moved to Packman
* Sat Aug 18 2007 guru@unixtech.be
- new upstream version
* Fri Jul 20 2007 guru@unixtech.be
- new upstream version
* Mon Jul 16 2007 guru@unixtech.be
- new upstream version
* Thu Mar 29 2007 guru@unixtech.be
- new upstream version
- CHANGES: behavior of the program when using both the MIT-SHM and XDamage
  extensions was fixed: less memory is now required and all options related to
  conditional usage of shared memory are gone
* Mon Feb 12 2007 guru@unixtech.be
- use jack for recording
- new upstream version
* Mon Jan 22 2007 guru@unixtech.be
- new upstream version
* Mon Dec 18 2006 guru@unixtech.be
- new package
